NSGraphInternal::State Struct Reference

Internal: the state of a NSGraph. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

int | m_numPages
int | m_maxPageGraphic
| the last page containing page graphic More...
std::map< int, MWAWEntry > | m_idPictMap
| the map pictId -> pictEntry More...
std::map< int, MWAWEntry > | m_idRssoMap
| the map id -> rssoEntry More...

## Detailed Description

Internal: the state of a NSGraph.

## Constructor & Destructor Documentation

NSGraphInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

std::map<int, MWAWEntry> NSGraphInternal::State::m_idPictMap

the map pictId -> pictEntry

std::map<int, MWAWEntry> NSGraphInternal::State::m_idRssoMap

the map id -> rssoEntry

int NSGraphInternal::State::m_maxPageGraphic

the last page containing page graphic

int NSGraphInternal::State::m_numPages

The documentation for this struct was generated from the following file:

- NSGraph.cxx